%global __brp_check_rpaths %{nil}
%global packname  POD
%global packver   1.2.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.2.0
Release:          2%{?dist}%{?buildtag}
Summary:          Probability of Detection for Qualitative PCR Methods

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.4.0
Requires:         R-core >= 3.4.0
BuildArch:        noarch

%description
This tool computes the probability of detection (POD) curve and the limit
of detection (LOD), i.e. the number of copies of the target DNA sequence
required to ensure a 95 % probability of detection (LOD95). Other
quantiles of the LOD can be specified. This is a reimplementation of the
mathematical-statistical modelling of the validation of qualitative
polymerase chain reaction (PCR) methods within a single laboratory as
provided by the commercial tool 'PROLab' <http://quodata.de/>. The
modelling itself has been described by Uhlig et al. (2015)
<doi:10.1007/s00769-015-1112-9>.

%prep
%setup -q -c -n %{packname}

find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
